QGIS Application - Bug report #11518
Not able to view a mapcache layer exposed in WMS in qgis
2014-10-28 10:16 AM - Steve Toutant

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19788
Description

This opendata portal shows temperature data
http://geoegl.msp.gouv.qgc.ca/golocmsp/?id=014a3c210f

This layer is a WMS layer whom calls a mapcache layer exposed in WMS. You can see in firebug that request:
http://geoegl.msp.gouv.gc.ca/cgi-wms/gouvouvertgc.fcgi?EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;LAYERS=inspg_te
perature_surface&#38; TRANSPARENT=TRUE&#38;NOCACHE=0.5023520144168288&#38;SERVICE=WMS&#38;VERSION=1.1.1&#

B8;REC

38,REQUEST=GetMap&#38;STYLES=&#38;FORMAT=image%2Fpng&#38;SRS=EPSG%3A3857&#38;BBOX=-8193944.5746763,578

2748.6

82748.6769223,-7752291.4253237,5961611.3230777&#38;WIDTH=14448#38;HEIGHT=585

In qgis 2.4, if | create a WMS connection with this URL http://geoegl.msp.gouv.qgc.ca/cgi-wms/gouvouvertqc.fcgi? and add the layer

inspqg_temperature_surface, getmap request doesn't work.

It generates a direct call to geoegl.../mapcache.fcgi instead of http://geoegl.msp.gouv.qc.ca/cgi-wms/gouvouvertqgc.fcgi?

/mapcache.fcgi is secured and can only be accessed by gouvouvertqgc.fcgi?

Does qgis should call gouvouvertqc.fcgi?

History

#1 - 2014-10-29 08:29 AM - Jukka Rahkonen

Testing GetCapabilities
http://geoegl.msp.gouv.gc.ca/cgi-wms/gouvouvertqc.fcgi?service=wms&#38;version=1.3.0&#38;request=getcapabilities

I can't read from GetCapabilities anything that refers to "mapcache.fcgi” and | could not repeat your issue with QGIS 2.0.1 which is the only one | have at
hand now. QGIS is using the "gouvouvertqc.fcgi" URL for me. Are you sure that you have not played with the other URL before? | can't imagine how QGIS
could ever guess to use the mapcache URL. Or have you contacted service admins meanwhile and made them to change the configuration somehow?

#2 - 2014-10-29 08:46 AM - Steve Toutant

This http://geocegl.msp.gouv.qc.ca/cgi-wms/gouvouvertqc.fcgi? WMS is defined by a mapserver mapfile. The temperature layer is a Connection WMS and

DATA is the mapcache url. So, | agree to
"l can't imagine how QGIS could ever guess to use the mapcache URL." and "can't read from GetCapabilities anything that refers to "mapcache.fcgi"

| do have access to the apache access_log of this opendata portal. That is how | know that the call made by the web interface of this portal and the call from

qgis is different. | do have the same problem in GAIA.
"QGIS is using the "gouvouvertqgc.fcgi" URL for me."
How can you see that? | don't see the request in the logs panel.

#3 - 2014-10-29 11:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

I'm not sure | have undertsand the issue:

the described layer and server works fine for me, it just happen that if the layer if downloaded in certain CRSs it does not show, while others are working ok

(example wgs84 does not show, 3857 shows). Seems to me a server/configuration issue.

#4 - 2014-10-29 11:48 AM - Steve Toutant
- Status changed from Feedback to Closed

Thanks for your comments Giovanni,

| successfully loaded the layer. | needed to specify the projection 3857 before add it to the map.
| will explore why qgis cannot know what is the projection.

The fact that the getMap request was different misleaded me.

thanks

#5 - 2014-10-29 11:56 AM - Giovanni Manghi

Steve Toutant wrote:

Thanks for your comments Giovanni,

| successfully loaded the layer. | needed to specify the projection 3857 before add it to the map.

1 will explore why qgis cannot know what is the projection.

The fact that the getMap request was different misleaded me.

thanks

| don't think is qgis that cannot recognize the projections:

wms layers are available in a number of different CRSs, it depends on how the server/service is configured. In this case if you try download the layers in

4326 they do not show, | suspect for a server issue, not a qgis one.

#6 - 2014-10-29 12:49 PM - Steve Toutant

you are right
